Bug 681647 - Ext4 warnings are printed if a file size in indirect block map is extended to the maximum file size
Summary: Ext4 warnings are printed if a file size in indirect block map is extended to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Lukáš Czerner
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On:
Blocks: GSS_6_2_PROPOSED 703492 715493
TreeView+ depends on / blocked
 
Reported: 2011-03-02 20:19 UTC by Carlos Maiolino
Modified: 2018-11-14 14:37 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-150.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 715493 (view as bug list)
Environment:
Last Closed: 2011-12-06 12:44:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch proposed to this fix (1.76 KB, patch)
2011-03-02 20:22 UTC, Carlos Maiolino
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Carlos Maiolino 2011-03-02 20:19:40 UTC
Description of problem:

Ext4 warnings are printed when a file size on indirect block map is extended to the maximum file size. 

How reproducible:

Always

Steps to Reproduce:
1. Create a Ext4FS removing the extent flag:
    mkfs.ext4 -O ^extent <device>

2. After mount the FS, run:
     dd if=/dev/zero of=<ext4_mountpoint> bs=1 count=0 seek=4402345721856

3. tail /var/log/messages
    kernel: EXT4-fs warning (device dm-4): ext4_block_to_path: block 1074791436 > max in inode 12
  
Actual results:

A Ext4 warning about the file size is showed 


Expected results:

Don't show the warning message.

A patch was already proposed:

http://marc.info/?l=linux-ext4&m=129317158212424&w=4

The patch is also attached to the BZ

Comment 1 Carlos Maiolino 2011-03-02 20:22:15 UTC
Created attachment 481938 [details]
Patch proposed to this fix

Comment 4 RHEL Program Management 2011-05-13 15:20:17 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 6 Aristeu Rozanski 2011-05-18 19:48:55 UTC
Patch(es) available on kernel-2.6.32-150.el6

Comment 10 Petr Beňas 2011-07-25 07:39:33 UTC
Reproduced in 2.6.32-130.el6.x86_64 and verified in 2.6.32-154.el6.x86_64.

Comment 11 Masaki Furuta 2011-09-27 16:57:42 UTC
Dear NEC,

Would you please verify this with 160.el6 or newer kernel, if possible?

Best Regards,
Masaki Furuta

Comment 12 Osamu Samukawa 2011-10-19 09:04:52 UTC
Dear Yamazaki-san,

>>Would you please verify this with 160.el6 or newer kernel, if possible?

I confirmed this problem is fixed with 206.el6.

Comment 15 errata-xmlrpc 2011-12-06 12:44:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.